This includes services hosted by issuers for the Digital Credentials Provisioning API.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
https://example.issuer.com/api
| Methods | |
|---|---|
cancelProofing |
POST /v1/vdc/cancelProofing An endpoint to cancel a proofing. |
getCredentialStatus |
POST /v1/vdc/getCredentialStatus An endpoint to retrieve the current status of a credential. |
getDeviceRegistrationNonce |
POST /v1/vdc/getDeviceRegistrationNonce An endpoint to request a device registration nonce. |
getHybridEncryptionKey |
POST /v1/vdc/getHybridEncryptionKey An endpoint to retrieve the issuer's hybrid encryption key. |
getIdentityKey |
POST /v1/vdc/getIdentityKey An endpoint to retrieve the issuer's identity key. |
getProofingStatus |
POST /v1/vdc/getProofingStatus An endpoint to retrieve the current status of a proofing. |
healthCheck |
POST /v1/vdc/healthCheck An endpoint used to test connectivity issues. |
notifyCredentialDeleted |
POST /v1/vdc/notifyCredentialDeleted An endpoint to notify the issuer of a credential being deleted. |
proofUser |
POST /v1/vdc/proofUser An endpoint to proof a user for a digital credential, using an issuer specified list of evidences, and for a specific device. |
provisionCredential |
POST /v1/vdc/provisionCredential An endpoint to provision a credential. |
provisionMobileSecurityObjects |
POST /v1/vdc/provisionMobileSecurityObjects An endpoint to provision a credential. |
registerDevice |
POST /v1/vdc/registerDevice An endpoint to register a device with the issuer. |